> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qudata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Поиск предложений

> Поиск предложений аренды GPU на маркетплейсе Qudata.ai



## OpenAPI

````yaml https://service-docs.qudata.ai/api/openapi.en.json post /v0/market/search
openapi: 3.1.0
info:
  title: QuData Public API
  version: v0
servers:
  - url: https://api.qudata.ai
security: []
paths:
  /v0/market/search:
    post:
      tags:
        - market
      summary: Поиск предложений
      description: Поиск предложений аренды GPU на маркетплейсе Qudata.ai
      operationId: search_offers_v0_market_search_post
      parameters:
        - name: start
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Start
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Limit
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Body_search_offers_v0_market_search_post'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationResponse_list_OfferResponse__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthApiKey: []
components:
  schemas:
    Body_search_offers_v0_market_search_post:
      properties:
        currency:
          anyOf:
            - $ref: '#/components/schemas/Currency'
            - type: 'null'
          default: RUB
        query:
          anyOf:
            - $ref: '#/components/schemas/Filters'
            - type: 'null'
        sort_by:
          anyOf:
            - $ref: '#/components/schemas/OffersSortParams'
            - type: 'null'
          default: price_asc
      type: object
      title: Body_search_offers_v0_market_search_post
    PaginationResponse_list_OfferResponse__:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        data:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/src__apps__api__models__offers__OfferResponse
              type: array
            - type: 'null'
          title: Data
        total_items:
          type: integer
          title: Total Items
          default: 0
      type: object
      title: PaginationResponse[list[OfferResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Currency:
      type: string
      enum:
        - USD
        - RUB
        - QOIN
      title: Currency
    Filters:
      properties:
        location:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Location
        price_gt:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Gt
        price_lt:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Lt
        gpu_translit_name:
          anyOf:
            - items:
                type: string
              type: array
            - type: string
          title: Gpu Translit Name
        in_stock:
          anyOf:
            - type: boolean
            - type: 'null'
          title: In Stock
        score_gt:
          anyOf:
            - type: number
            - type: 'null'
          title: Score Gt
        gpu_amount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Gpu Amount
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        vram_gt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vram Gt
        vram_lt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vram Lt
        ram_gt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ram Gt
        ram_lt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ram Lt
        disk_gt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Disk Gt
        disk_lt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Disk Lt
        cpu_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cpu Name
        vcpu_gt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vcpu Gt
        vcpu_lt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vcpu Lt
        cpu_cores_gt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cpu Cores Gt
        cpu_cores_lt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cpu Cores Lt
        cpu_freq_gt:
          anyOf:
            - type: number
            - type: 'null'
          title: Cpu Freq Gt
        cpu_freq_lt:
          anyOf:
            - type: number
            - type: 'null'
          title: Cpu Freq Lt
        memory_speed_gt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Memory Speed Gt
        memory_speed_lt:
          anyOf:
            - type: integer
            - type: 'null'
          title: Memory Speed Lt
        ethernet_in_gt:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet In Gt
        ethernet_in_lt:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet In Lt
        ethernet_out_gt:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet Out Gt
        ethernet_out_lt:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet Out Lt
        capacity_gt:
          anyOf:
            - type: number
            - type: 'null'
          title: Capacity Gt
        capacity_lt:
          anyOf:
            - type: number
            - type: 'null'
          title: Capacity Lt
        rentable:
          type: boolean
          title: Rentable
      type: object
      title: Filters
    OffersSortParams:
      type: string
      enum:
        - price_asc
        - price_desc
        - provider_asc
        - provider_desc
        - provider_score_asc
        - provider_score_desc
        - gpu_amount_asc
        - gpu_amount_desc
        - ram_asc
        - ram_desc
        - stock_asc
        - stock_desc
      title: OffersSortParams
    src__apps__api__models__offers__OfferResponse:
      properties:
        id:
          type: string
          title: Id
        provider_translit_name:
          type: string
          title: Provider Translit Name
        gpu_amount:
          type: integer
          title: Gpu Amount
        gpu_name:
          type: string
          title: Gpu Name
        gpu_translit_name:
          type: string
          title: Gpu Translit Name
        vram:
          type: number
          title: Vram
        prices:
          items:
            $ref: '#/components/schemas/Price'
          type: array
          title: Prices
          default: []
        location:
          anyOf:
            - $ref: '#/components/schemas/Location'
            - type: 'null'
        configuration:
          $ref: '#/components/schemas/ConfigurationData'
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        in_stock:
          type: boolean
          title: In Stock
        rentable:
          type: boolean
          title: Rentable
        disk_prices:
          items:
            $ref: '#/components/schemas/Price'
          type: array
          title: Disk Prices
          default: []
      type: object
      required:
        - id
        - provider_translit_name
        - gpu_amount
        - gpu_name
        - gpu_translit_name
        - vram
        - configuration
        - in_stock
        - rentable
      title: OfferResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Price:
      properties:
        amount:
          type: number
          title: Amount
        currency:
          $ref: '#/components/schemas/Currency'
        period:
          $ref: '#/components/schemas/PricePeriod'
          default: hourly
      type: object
      required:
        - amount
        - currency
      title: Price
    Location:
      properties:
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
      type: object
      title: Location
    ConfigurationData:
      properties:
        ram:
          anyOf:
            - $ref: '#/components/schemas/UnitValue_MemoryUnit_'
            - type: 'null'
        disk:
          anyOf:
            - $ref: '#/components/schemas/UnitValue_MemoryUnit_'
            - type: 'null'
        cpu_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cpu Name
        vcpu:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vcpu
        cpu_cores:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cpu Cores
        cpu_freq:
          anyOf:
            - type: number
            - type: 'null'
          title: Cpu Freq
        memory_speed:
          anyOf:
            - type: number
            - type: 'null'
          title: Memory Speed
        ethernet_in:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet In
        ethernet_out:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet Out
        capacity:
          anyOf:
            - type: number
            - type: 'null'
          title: Capacity
        max_cuda_version:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Cuda Version
      type: object
      title: ConfigurationData
    PricePeriod:
      type: string
      enum:
        - minutely
        - hourly
        - daily
        - monthly
      title: PricePeriod
    UnitValue_MemoryUnit_:
      properties:
        amount:
          type: number
          title: Amount
        unit:
          $ref: '#/components/schemas/MemoryUnit'
      type: object
      required:
        - amount
        - unit
      title: UnitValue[MemoryUnit]
    MemoryUnit:
      type: string
      enum:
        - gb
        - mb
      title: MemoryUnit
  securitySchemes:
    AuthApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.